RPC_GSS_IS_INSTALLED(3)

NAME
rpc_gss_is_installed - Query for the presence os a security mechanism

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_is_installed(const char *mech);

DESCRIPTION
This function looks up a mechanism by name by reading the file /etc/gss/mech.

PARAMETERS

mech
    The mechanism to search for

RETURN VALUES
Returns TRUE if the mechanism is installed, FALSE otherwise.

SEE ALSO
rpc(3), gssapi(3), rpcset_gss(3)

HISTORY
The rpc_gss_is_installed function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.